Bug 2076277 - [RFE] [OCPonRHV] Add storage domain ID valueto Compute/ControlPlain section in the machine object
Summary: [RFE] [OCPonRHV] Add storage domain ID valueto Compute/ControlPlain section i...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.11
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.11.0
Assignee: OCP on RHV Team
QA Contact: michal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-18 14:17 UTC by Evgeny Slutsky
Modified: 2022-06-15 18:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-provider-ovirt pull 133 0 None open Bug 2076277: add Storage Domain Configuration to the machineset 2022-04-18 14:41:41 UTC
Red Hat Issue Tracker OCPRHV-608 0 None None None 2022-04-18 14:18:33 UTC

Description Evgeny Slutsky 2022-04-18 14:17:04 UTC
Description of problem:
Allow the user to specify the storage domain for the MahcineSet machines


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Evgeny Slutsky 2022-04-18 14:17:21 UTC
this feature can be tested by patching the machineset with second storage_domain_id and scaleup.

Patch the machineset
machineset=$(oc get machinesets -n openshift-machine-api -o template --template '{{range.items}}{{.metadata.name}}{{"\n"}}{{end}}')
oc patch machineset $machineset --type='merge' --patch='{"spec": { "template": { "spec": { "providerSpec": { "value": { "storage_domain_id": "storage_domain_uuid-2"}}}}}}' -n openshift-machine-api
 
Scale up
oc scale machineset $machineset --replicas=4 -n openshift-machine-api

verify that the new worker disks are placed on the second SD.

Comment 4 michal 2022-05-16 12:48:59 UTC
ocp version:4.11.0-0.nightly-2022-05-07-161754
steps:
1) create machineset with storage_id of different storage domain
2) verify that machine will created succesfully on different sd.


Note You need to log in before you can comment on or make changes to this bug.